/*
 * Copyright (C) 2022 Robert Bosch GmbH Copyright (C) 2022 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

export class AlertDialogPage {

    //Demo Elements
    navigateToAlertDemo() {
      return cy.visit('/modals-popups/alert-modal-demo');
    }
    getSelectForTemplates(){
        return cy.get('mat-select[name=selectTemplate]');
    }
    getInputForMaxWidth(){
        return cy.get('[data-test="alert-dialog-set-width"]');
    }
    getSwitchForDisableLeftButton(){
        return cy.get('bci-commandbar').find('[data-test="alert-dialog-disable-left-button"]');
    }
    getSwitchForDisableRightButton(){
        return cy.get('bci-commandbar').find('[data-test="alert-dialog-disable-right-button"]');
    }
    getSwitchForDisableCloseIcon(){
        return cy.get('bci-commandbar').find('[data-test="alert-dialog-disable-close-icon"]');
    }
    getShowAlertButton() {
        return cy.get('[data-test="alert-dialog-show-button"]');
    }
    getResetButton() {
        return cy.get('[data-test="alert-dialog-reset-button"]');
    }

    //Dialog Elements
    getAlertDialog() {
        return cy.get('mat-dialog-container')
    }
    getDialogHeader(){
        return cy.get('.dialog-header');
    }
    getDialogTitle(){
        return cy.get('.dialog-title');
    }
    getAdditionalDialogHeader(){
        return cy.get('.dialog-additional-header');
    }
    getDescriptionContent(){
        return cy.get('[data-test="alert-dialog-description"]');
    }
    getInfoText(){
        return cy.get('[data-test="alert-dialog-infoText"]');
    }
    getOptionalOuterLeftButton(){
        return cy.get('.optionalButton');
    }
    getConfirmLeftButton(){
        return cy.get('[data-test="alert-dialog-left-button"]');
    }
    getCancelRightButton(){
        return cy.get('[data-test="alert-dialog-right-button"]');
    }
    getCloseButton(){
        return cy.get('[data-test="modal-window-close-button"]');
    }
  }
  